View Issue Details

IDProjectCategoryView StatusLast Update
0004860GNUnetnamestore servicepublic2018-06-07 00:24
ReportercatonanoAssigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86_64OSOS Version
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0004860: Testsuite: test_namestore_api_zone_iteration_stop test fails (Guix)
Descriptiontest_namestore_api_zone_iteration_stop test failed
Steps To Reproduce1. git clone https://pagure.io/packages.git
2. export GUIX_PACKAGE_PATH=/path/to/packages
3. guix build gnunet-git-full-tests
Additional InformationThe exact git commit is
15719eac76fb675260f08437fd4094b4ed7a9cc1
TagsNo tags attached.

Activities

catonano

2017-01-14 21:04

reporter  

test-suite.log (527 bytes)

ng0

2017-01-15 11:54

developer   ~0011643

If possible, can you change the title to "test_namestore_api_zone_iteration_stop test fails" or something which includes the failing test name?

catonano

2017-01-16 12:23

reporter   ~0011645

I can't edit this ticket. So I understand

ng0

2017-01-19 23:43

developer   ~0011650

Last edited: 2017-01-19 23:54

View 2 revisions

This was most likely _with_ parallel builds enabled. When I disable it, it leads to a new bug (https://gnunet.org/bugs/view.php?id=4868)

Christian Grothoff

2017-02-21 20:14

manager   ~0011824

Reproduced, 'make check -j4' failed, without '-j4' it passed (as described).

Modified build system to run tests always sequentially in 961e98d27..0c7478479

Issue History

Date Modified Username Field Change
2017-01-14 21:04 catonano New Issue
2017-01-14 21:04 catonano File Added: test-suite.log
2017-01-15 11:54 ng0 Note Added: 0011643
2017-01-16 12:23 catonano Note Added: 0011645
2017-01-18 18:05 ng0 Summary the build log reports a failed test => Testsuite: test_namestore_api_zone_iteration_stop test fails (Guix)
2017-01-19 23:00 ng0 Platform => x86_64
2017-01-19 23:43 ng0 Note Added: 0011650
2017-01-19 23:54 ng0 Note Edited: 0011650 View Revisions
2017-02-20 11:18 Christian Grothoff Assigned To => Christian Grothoff
2017-02-20 11:18 Christian Grothoff Status new => assigned
2017-02-21 18:46 Christian Grothoff Target Version => 0.11.0pre66
2017-02-21 20:14 Christian Grothoff Status assigned => resolved
2017-02-21 20:14 Christian Grothoff Resolution open => fixed
2017-02-21 20:14 Christian Grothoff Fixed in Version => 0.11.0pre66
2017-02-21 20:14 Christian Grothoff Note Added: 0011824
2018-06-07 00:24 Christian Grothoff Status resolved => closed